.button {
  width: fit-content;
  background-color: transparent;
  border: none;
  border-radius: 0;
  
  display: inline-block;
  font-size: var(--button-text);
 
  color: var(--extra-white);
  font-weight: 200;
  line-height: 125%;

  text-transform: uppercase;
  text-align: center;
 
  cursor: pointer;
}

.button.dark,
.button.dark span {
  font-weight: 300;
  color: var(--dark-blue);
}

.button.filled {
  height: 55px;
  border-radius: 30px;
  color: var(--dark-blue);
  font-weight: 300;
  
  background-color: var(--extra-white);
  padding: var(--space-16) var(--space-64);

  transition: background-color 0.3s ease-out, color 0.3s ease;
}

.button.filled:hover {
  color: var(--extra-white);
  background-color: var(--accent-red);
}

.button.stroke {
  height: 55px;
  border-radius: 30px;
  border: var(--border-1p5) solid var(--extra-white);
  padding: var(--space-14-75) var(--space-48);

  transition: border-color 0.3s ease-out, color 0.3s ease-out;
}

.button.stroke:hover {
  
  border-color: var(--accent-red) !important;
}

.button.stroke.dark {
  border-color: var(--dark-blue);
}

.button.texted {
  position: relative;
  display: inline-block;
  border-radius: 0;
}





.button:disabled {
  opacity: 0.4;
}



@keyframes rotateLoader {
from {
  transform: rotate(0deg);
}
to {
  transform: rotate(360deg);
}
}

.button.stroke.loaded.active {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}


.button.loaded .button-loaded-icon {
  display: none;
  position: absolute;
  margin-right: 10px;
  width: 24px;
  height: 24px;
  fill: var(--extra-white);
}

.button.loaded.dark .button-loaded-icon {
  fill: var(--dark-blue);
}

.button.loaded.active .button-loaded-icon {
  display: inline;
  animation: rotateLoader 1.5s linear infinite;
}

.button.loaded.active .button-content {
  position: relative;
  left: -17px;

}

.button.loaded.active  .button-loaded-text {
  position: relative;
  left: 34px;
}


.button.texted:not(.tab-btn)::after {
  content: "";
  
  width: 100%;
  height: 1px;

  display: block;
  
  position: absolute;
  bottom: 0px;

  background: var(--extra-white);


  transition: all 0.4s ease-out;
}

.button.texted.dark:not(.tab-btn)::after {
  background: var(--dark-blue);
}

/* .button.texted:not(.tab-btn):hover {
  border-color: transparent !important;
} */

.button.texted:not(.tab-btn ):hover:after {
  height: 2px;
  background: var(--accent-red);
}




@media (max-width: 1023px) {
  .button {
    font-size: var(--font-16) !important;
  }
}

@media (max-width: 767px) {
  .button {
    font-size: var(--font-16) !important;
  }
}